/*
 * Copyright 2016 Resin.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

'use strict';

module.exports = function($uibModalInstance, SettingsModel) {

  // We update this value in this controller since its the only place
  // where we can be sure the modal was really presented to the user.
  // If the controller is instantiated, means the modal was shown.
  // Compare that to `UpdateNotifierService.notify()`, which could
  // have been called, but the modal could have failed to be shown.
  SettingsModel.data.lastUpdateNotify = Date.now();

  /**
   * @summary Settings data
   * @type Object
   * @public
   */
  this.settings = SettingsModel.data;

  /**
   * @summary Close the modal
   * @function
   * @public
   *
   * @example
   * UpdateNotifierController.closeModal();
   */
  this.closeModal = function() {
    return $uibModalInstance.dismiss();
  };

};
